/* $Id: vmccdtable.h,v 1.1.1.1 2008/10/21 09:10:12 cizzo Exp $
 *
 * This file is part of the VIMOS Pipeline
 * Copyright (C) 2002-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: cizzo $
 * $Date: 2008/10/21 09:10:12 $
 * $Revision: 1.1.1.1 $
 * $Name: vimosp-2_6_0 $
 */

#ifndef VM_CCDTABLE_H
#define VM_CCDTABLE_H

#include <fitsio.h>

#include <pilmacros.h>

#include <vmtable.h>
#include <vmimage.h>


PIL_BEGIN_DECLS

/*
 * CCD table tag
 */

#define VM_CCD  "CCD"


VimosTable *newCcdTable(void);
void deleteCcdTable(VimosTable *);

VimosTable *badPixelImage2CcdTable(VimosImage *);
int shiftCcdTableCoords(VimosTable *, int, int);

int cleanBadPixels(VimosImage *, VimosTable *, int);

VimosBool readFitsCcdTable(VimosTable *ccdTable, fitsfile *fptr);
VimosBool writeFitsCcdTable(VimosTable *ccdTable, fitsfile *fptr);

PIL_END_DECLS

#endif /* VM_CCDTABLE_H */
